#!/usr/bin/perl
# Imapmscn - Mscan Imap lines to IPs converter
#  By: Lord Somer <webmaster@lordsomer.com>
# Takes mscan logs with imap entries and converts to strait ip file for use with imapvuln
# Usage: ./imapmscn.pl infile outfile
# 
$| = 1;

$argc = @ARGV;
&PrintUsage if ( $argc < 1 );
if (-f $ARGV[0]) {
 &open_file("INF","",$ARGV[0]);
  flock(INF,1);
  &open_file("OUF",">",$ARGV[1]);
   flock(OUF,1);
   while ($line = &read_file("INF"))  {
    ($ip,$shit) = split(/:/,$line,2);
    print OUF $ip."\n";
   }
   flock(OUF,8);
  close(OUF);
  flock(INF,8);
 close(INF);
} else {
 &error($ARGV[0]." does not exist!");
}
exit;
# Print out the usage
sub PrintUsage {
 print "imapmscn usage: $0 inputFile outputfile\n";
 print " - By: Lord Somer <webmaster\@lordsomer.com>\n";
 print "    The Hackers Layer http://www.lordsomer.com\n";
 exit(1);
}
# Open A File and if not then send out an error message.
sub open_file {
  local ($filevar, $filemode, $filename) = @_;
  open ($filevar,$filemode . $filename) || &error("Can't open $filename");
}
# Read a line in from a file
sub read_file {
  local ($filevar) = @_;
  <$filevar>;  
}
# Error Displaying Routine
sub error {
 local($error) = @_;
 print "$error\n";
 exit;
}
